"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _keys = require("babel-runtime/core-js/object/keys");

var _keys2 = _interopRequireDefault(_keys);

var _getPrototypeOf = require("babel-runtime/core-js/object/get-prototype-of");

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _react = require("react");

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _VirtualSchemaField = require("../VirtualSchemaField");

var _VirtualSchemaField2 = _interopRequireDefault(_VirtualSchemaField);

var _utils = require("../../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var FakePropertyField = (0, _VirtualSchemaField2.default)(_class = function (_Component) {
	(0, _inherits3.default)(FakePropertyField, _Component);

	function FakePropertyField() {
		(0, _classCallCheck3.default)(this, FakePropertyField);
		return (0, _possibleConstructorReturn3.default)(this, (FakePropertyField.__proto__ || (0, _getPrototypeOf2.default)(FakePropertyField)).apply(this, arguments));
	}

	(0, _createClass3.default)(FakePropertyField, [{
		key: "getStateFromProps",
		value: function getStateFromProps(props) {
			var _getUiOptions = this.getUiOptions(),
			    fields = _getUiOptions.fields;

			var properties = props.schema.properties;
			var uiSchema = props.uiSchema;
			var formData = props.formData;
			(0, _keys2.default)(fields).forEach(function (prop) {
				var _fields$prop = fields[prop],
				    schema = _fields$prop.schema,
				    _uiSchema = _fields$prop.uiSchema,
				    _formData = _fields$prop.formData;

				properties = (0, _utils.updateSafelyWithJSONPointer)(properties, schema, prop);
				uiSchema = (0, _utils.updateSafelyWithJSONPointer)(uiSchema, _uiSchema, prop);
				formData = _formData ? (0, _utils.updateSafelyWithJSONPointer)(formData, _formData, prop) : formData;
			});
			return {
				schema: (0, _extends3.default)({}, props.schema, {
					properties: properties
				}),
				uiSchema: uiSchema,
				formData: formData
			};
		}
	}], [{
		key: "getName",
		value: function getName() {
			return "FakePropertyField";
		}
	}]);
	return FakePropertyField;
}(_react.Component)) || _class;

FakePropertyField.propTypes = {
	schema: _propTypes2.default.shape({
		type: _propTypes2.default.oneOf(["array"])
	}).isRequired,
	formData: _propTypes2.default.array.isRequired
};
exports.default = FakePropertyField;