"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HiddenField = function HiddenField() {
	return _react2.default.createElement("div", null);
};
HiddenField.propTypes = {
	schema: _propTypes2.default.shape({
		type: _propTypes2.default.oneOf(["object", "array", "string", "number", "boolean", "integer"])
	}).isRequired
};

exports.default = HiddenField;