"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require("babel-runtime/core-js/object/get-prototype-of");

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _react = require("react");

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _VirtualSchemaField = require("../VirtualSchemaField");

var _VirtualSchemaField2 = _interopRequireDefault(_VirtualSchemaField);

var _utils = require("@rjsf/core/dist/cjs/utils");

var _utils2 = require("../../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SingleItemArrayField = (0, _VirtualSchemaField2.default)(_class = function (_Component) {
	(0, _inherits3.default)(SingleItemArrayField, _Component);

	function SingleItemArrayField() {
		(0, _classCallCheck3.default)(this, SingleItemArrayField);
		return (0, _possibleConstructorReturn3.default)(this, (SingleItemArrayField.__proto__ || (0, _getPrototypeOf2.default)(SingleItemArrayField)).apply(this, arguments));
	}

	(0, _createClass3.default)(SingleItemArrayField, [{
		key: "getStateFromProps",
		value: function getStateFromProps(props) {
			return (0, _utils.isMultiSelect)(props.schema, props.registry.definitions) ? (0, _extends3.default)({}, props, {
				formData: props.formData && props.formData.length ? props.formData[0] : (0, _utils.getDefaultFormState)(props.schema.items, undefined, props.registry.definitions),
				schema: (0, _extends3.default)({ title: props.schema.title }, props.schema.items),
				uiSchema: props.uiSchema.items || {},
				onChange: this.onChange
			}) : (0, _extends3.default)({}, props, {
				formData: props.formData && props.formData.length ? props.formData : [(0, _utils.getDefaultFormState)(props.schema.items, undefined, props.registry.definitions)],
				uiSchema: (0, _extends3.default)({}, props.uiSchema, {
					"ui:field": "SingleActiveArrayField",
					"ui:options": (0, _extends3.default)({
						activeIdx: 0
					}, (0, _utils2.getUiOptions)(props.uiSchema), {
						renderer: "uncontrolled",
						addable: false,
						removable: false,
						receiveActiveIdxEvents: false
					})
				})
			});
		}
	}, {
		key: "onChange",
		value: function onChange(formData) {
			this.props.onChange((0, _utils.isMultiSelect)(this.props.schema, this.props.registry.definitions) ? [formData] : formData);
		}
	}], [{
		key: "getName",
		value: function getName() {
			return "SingleItemArrayField";
		}
	}]);
	return SingleItemArrayField;
}(_react.Component)) || _class;

SingleItemArrayField.propTypes = {
	schema: _propTypes2.default.shape({
		type: _propTypes2.default.oneOf(["array"])
	}).isRequired,
	formData: _propTypes2.default.array
};
exports.default = SingleItemArrayField;