"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _AnyToBooleanWidget = require("../widgets/AnyToBooleanWidget");

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _anyToBoolean = (0, _AnyToBooleanWidget.anyToBoolean)(!"field");
_anyToBoolean.propTypes = {
	uiSchema: _propTypes2.default.shape({
		"ui:options": _propTypes2.default.shape({
			trueValue: _propTypes2.default.oneOfType([_propTypes2.default.array, _propTypes2.default.object]).isRequired,
			falseValue: _propTypes2.default.oneOfType([_propTypes2.default.array, _propTypes2.default.object]).isRequired,
			allowUndefined: _propTypes2.default.bool
		})
	}),
	schema: _propTypes2.default.shape({
		type: _propTypes2.default.oneOf(["array", "object"])
	}).isRequired,
	formData: _propTypes2.default.oneOfType([_propTypes2.default.array, _propTypes2.default.object])
};
exports.default = _anyToBoolean;