"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require("babel-runtime/core-js/object/get-prototype-of");

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactBootstrap = require("react-bootstrap");

var _utils = require("../../utils");

var _components = require("../components");

var _BaseComponent = require("../BaseComponent");

var _BaseComponent2 = _interopRequireDefault(_BaseComponent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var InitiallyHiddenField = (0, _BaseComponent2.default)(_class = function (_Component) {
	(0, _inherits3.default)(InitiallyHiddenField, _Component);

	function InitiallyHiddenField(props) {
		(0, _classCallCheck3.default)(this, InitiallyHiddenField);

		var _this = (0, _possibleConstructorReturn3.default)(this, (InitiallyHiddenField.__proto__ || (0, _getPrototypeOf2.default)(InitiallyHiddenField)).call(this, props));

		_this.toggleVisibility = function () {
			_this.setState({ visible: !_this.state.visible });
		};

		_this.state = (0, _extends3.default)({ visible: false }, _this.getStateFromProps(props));
		return _this;
	}

	(0, _createClass3.default)(InitiallyHiddenField, [{
		key: "getStateFromProps",
		value: function getStateFromProps(props) {
			return { uiSchema: (0, _utils.getInnerUiSchema)(props.uiSchema) };
		}
	}, {
		key: "render",
		value: function render() {
			var shouldShow = this.state.visible;
			var SchemaField = this.props.registry.fields.SchemaField;
			return _react2.default.createElement(
				"div",
				null,
				_react2.default.createElement(
					_reactBootstrap.Collapse,
					{ "in": !shouldShow },
					_react2.default.createElement(
						_reactBootstrap.Row,
						null,
						_react2.default.createElement(
							_reactBootstrap.Col,
							{ xs: 2, xsOffset: 10 },
							_react2.default.createElement(
								_components.Button,
								{ className: "button-right", onClick: this.toggleVisibility },
								this.props.schema.title || this.props.name,
								" ",
								_react2.default.createElement("span", { className: "caret" })
							)
						)
					)
				),
				_react2.default.createElement(
					_reactBootstrap.Collapse,
					{ "in": shouldShow },
					_react2.default.createElement(
						"div",
						null,
						_react2.default.createElement(SchemaField, (0, _extends3.default)({}, this.props, this.state))
					)
				)
			);
		}
	}]);
	return InitiallyHiddenField;
}(_react.Component)) || _class;

InitiallyHiddenField.propTypes = {
	uiSchema: _propTypes2.default.shape({
		"ui:options": _propTypes2.default.shape({
			uiSchema: _propTypes2.default.object
		})
	}).isRequired,
	schema: _propTypes2.default.shape({
		type: _propTypes2.default.oneOf(["object", "array"])
	}).isRequired,
	formData: _propTypes2.default.oneOfType([_propTypes2.default.object, _propTypes2.default.array]).isRequired
};
exports.default = InitiallyHiddenField;