"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _toConsumableArray2 = require("babel-runtime/helpers/toConsumableArray");

var _toConsumableArray3 = _interopRequireDefault(_toConsumableArray2);

var _objectWithoutProperties2 = require("babel-runtime/helpers/objectWithoutProperties");

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require("babel-runtime/core-js/object/get-prototype-of");

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _Context = require("../../Context");

var _Context2 = _interopRequireDefault(_Context);

var _utils = require("../../utils");

var _utils2 = require("laji-map/lib/utils");

var _ContextInjectionField = require("./ContextInjectionField");

var _utils3 = require("@rjsf/core/dist/cjs/utils");

var _SchemaField2 = require("@rjsf/core/dist/cjs/components/fields/SchemaField");

var _SchemaField3 = _interopRequireDefault(_SchemaField2);

var _ArrayFieldTemplate = require("../ArrayFieldTemplate");

var _ArrayFieldTemplate2 = _interopRequireDefault(_ArrayFieldTemplate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _SchemaField = function (_Component) {
	(0, _inherits3.default)(_SchemaField, _Component);

	function _SchemaField(props) {
		(0, _classCallCheck3.default)(this, _SchemaField);

		var _this = (0, _possibleConstructorReturn3.default)(this, (_SchemaField.__proto__ || (0, _getPrototypeOf2.default)(_SchemaField)).call(this, props));

		_initialiseProps.call(_this);

		_this.updateVirtualInstance(props, !!"initial");
		_this.state = { showAnnotations: false };
		return _this;
	}

	(0, _createClass3.default)(_SchemaField, [{
		key: "componentWillReceiveProps",
		value: function componentWillReceiveProps(props) {
			this.updateVirtualInstance(props);
		}
	}, {
		key: "applyFunction",
		value: function applyFunction(props) {
			var _ref = props.uiSchema || {},
			    functions = _ref["ui:functions"],
			    childFunctions = _ref["ui:childFunctions"],
			    annotations = _ref["ui:annotations"],
			    _uiSchema = (0, _objectWithoutProperties3.default)(_ref, ["ui:functions", "ui:childFunctions", "ui:annotations"]);

			var objectOrArrayAsArray = function objectOrArrayAsArray(item) {
				return item ? Array.isArray(item) ? item : [item] : [];
			};

			if (childFunctions) {
				functions = [{ "ui:field": "UiFieldMapperArrayField", "ui:options": { functions: objectOrArrayAsArray(childFunctions) } }].concat((0, _toConsumableArray3.default)(objectOrArrayAsArray(functions)));
			}

			if (annotations) {
				functions = [{ "ui:field": "AnnotationField", "ui:options": (0, _utils2.isObject)(annotations) ? annotations : {} }].concat((0, _toConsumableArray3.default)(objectOrArrayAsArray(functions)));
			}

			if (!functions) return props;

			var nonVirtualFound = false;

			var _functions = Array.isArray(functions) ? functions : [functions];

			var computedProps = _functions.reduce(function (_props, uiFn, idx) {
				if (nonVirtualFound) {
					return _props;
				}

				if (uiFn["ui:field"] && uiFn["ui:field"] !== "ContextInjectionField" && uiFn["ui:field"] !== "InjectField" && uiFn["ui:options"] && uiFn["ui:options"].injections) {
					var injections = uiFn["ui:options"].injections;

					var injectedUiSchema = (0, _ContextInjectionField.getInjectedUiSchema)(uiFn, injections, props.registry.formContext.uiSchemaContext);
					uiFn = (0, _extends3.default)({}, injectedUiSchema, {
						"ui:options": (0, _extends3.default)({}, injectedUiSchema["ui:options"], { injections: undefined })
					});
				}

				var buttons = !_props.uiSchema["ui:field"] ? (0, _utils.getUiOptions)(_props.uiSchema).buttons : undefined;
				var uiButtons = !_props.uiSchema["ui:field"] ? (0, _utils.getUiOptions)(_props.uiSchema)["ui:buttons"] : undefined;
				_props = (0, _extends3.default)({}, _props, {
					uiSchema: _props.uiSchema["ui:field"] || _props.uiSchema["ui:widget"] ? (0, _extends3.default)({}, uiFn, { uiSchema: _props.uiSchema }) : (0, _extends3.default)({}, _props.uiSchema, uiFn)
				});
				if (buttons || uiButtons) {
					_props = (0, _extends3.default)({}, _props, {
						uiSchema: (0, _extends3.default)({}, _props.uiSchema, {
							"ui:options": (0, _extends3.default)({}, _props.uiSchema["ui:options"], {
								buttons: [].concat((0, _toConsumableArray3.default)(_props.uiSchema.buttons || []), (0, _toConsumableArray3.default)(buttons || [])),
								"ui:buttons": [].concat((0, _toConsumableArray3.default)(_props.uiSchema["ui:buttons"] || []), (0, _toConsumableArray3.default)(uiButtons || []))
							})
						})
					});
				}
				if (!new _Context2.default("VIRTUAL_SCHEMA_NAMES")[uiFn["ui:field"]]) {
					nonVirtualFound = true;
					return (0, _extends3.default)({}, _props, {
						uiSchema: (0, _extends3.default)({}, _props.uiSchema, {
							"ui:functions": _functions.slice(idx + 1)
						})
					});
				}

				var _ref2 = new props.registry.fields[uiFn["ui:field"]](_props),
				    _ref2$state = _ref2.state,
				    state = _ref2$state === undefined ? {} : _ref2$state;

				return (0, _extends3.default)({}, _props, state, {
					registry: (0, _extends3.default)({}, _props.registry, state.registry, {
						formContext: state.formContext || props.registry.formContext
					})
				});
			}, (0, _extends3.default)({}, props, { uiSchema: _uiSchema, formContext: props.registry.formContext }));

			return computedProps;
		}
	}, {
		key: "componentDidUpdate",
		value: function componentDidUpdate(prevProps) {
			if (!(0, _utils3.deepEquals)(prevProps.errorSchema, this.props.errorSchema)) {
				new _Context2.default(this.props.registry.formContext.contextId).sendCustomEvent(this.props.idSchema.$id, "resize");
			}
		}
	}, {
		key: "render",
		value: function render() {
			var props = this.functionOutputProps || this.props;
			var schema = props.schema,
			    _props$uiSchema = props.uiSchema,
			    uiSchema = _props$uiSchema === undefined ? {} : _props$uiSchema,
			    registry = props.registry;


			if (schema.uniqueItems && schema.items.enum && !(0, _utils.isMultiSelect)(schema, uiSchema) && schema.uniqueItems) {
				schema = (0, _extends3.default)({}, schema, { uniqueItems: false });
			}

			var options = (0, _utils.getUiOptions)(uiSchema);
			if (typeof options.label === "string") {
				schema = (0, _extends3.default)({}, schema, { title: options.label });
			}

			if (uiSchema["ui:field"] && uiSchema["ui:field"] !== "ContextInjectionField" && uiSchema["ui:field"] !== "InjectField" && uiSchema["ui:options"] && uiSchema["ui:options"].injections) {
				var injections = uiSchema["ui:options"].injections;

				var injectedUiSchema = (0, _ContextInjectionField.getInjectedUiSchema)(uiSchema, injections, props.registry.formContext.uiSchemaContext);
				uiSchema = (0, _extends3.default)({}, injectedUiSchema, {
					"ui:options": (0, _extends3.default)({}, injectedUiSchema["ui:options"], { injections: undefined })
				});
			}

			// Reset ArrayFieldTemplate
			if (registry.ArrayFieldTemplate !== _ArrayFieldTemplate2.default) {
				registry = (0, _extends3.default)({}, registry, { ArrayFieldTemplate: _ArrayFieldTemplate2.default });
			}

			return _react2.default.createElement(_SchemaField3.default, (0, _extends3.default)({}, props, {
				registry: registry,
				schema: schema,
				uiSchema: uiSchema
			}));
		}
	}]);
	return _SchemaField;
}(_react.Component);

var _initialiseProps = function _initialiseProps() {
	var _this2 = this;

	this.updateVirtualInstance = function (props, initial) {
		var virtualizedProps = ["ui:functions", "ui:childFunctions", "ui:annotations"];
		if ([props, _this2.props].some(function (_props) {
			return _props.uiSchema && virtualizedProps.some(function (prop) {
				return _props.uiSchema[prop];
			});
		}) && (initial || !(0, _utils3.deepEquals)([_this2.props, props]))) {
			_this2.functionOutputProps = _this2.applyFunction(props);
		}
	};
};

exports.default = _SchemaField;