"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require("babel-runtime/core-js/object/get-prototype-of");

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _react = require("react");

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _VirtualSchemaField = require("../VirtualSchemaField");

var _VirtualSchemaField2 = _interopRequireDefault(_VirtualSchemaField);

var _utils = require("../../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var StringToArrayField = (0, _VirtualSchemaField2.default)(_class = function (_Component) {
	(0, _inherits3.default)(StringToArrayField, _Component);

	function StringToArrayField() {
		(0, _classCallCheck3.default)(this, StringToArrayField);
		return (0, _possibleConstructorReturn3.default)(this, (StringToArrayField.__proto__ || (0, _getPrototypeOf2.default)(StringToArrayField)).apply(this, arguments));
	}

	(0, _createClass3.default)(StringToArrayField, [{
		key: "getStateFromProps",
		value: function getStateFromProps(props, propsWithUiOptions) {
			var _props$formData = props.formData,
			    formData = _props$formData === undefined ? "" : _props$formData;

			var _getUiOptions = this.getUiOptions(),
			    _getUiOptions$delimit = _getUiOptions.delimiter,
			    delimiter = _getUiOptions$delimit === undefined ? " " : _getUiOptions$delimit;

			var _props$uiSchema = props.uiSchema,
			    disabled = _props$uiSchema["ui:disabled"],
			    readonly = _props$uiSchema["ui:readonly"];

			var innerUiSchema = (0, _utils.getUiOptions)(propsWithUiOptions.uiSchema).uiSchema || {};
			return {
				schema: {
					type: "array",
					title: props.schema.title,
					items: (0, _extends3.default)({}, props.schema, {
						title: ""
					})
				},
				formData: formData.split(delimiter),
				uiSchema: (0, _extends3.default)({
					"ui:disabled": disabled,
					"ui:readonly": readonly
				}, innerUiSchema)
			};
		}
	}, {
		key: "onChange",
		value: function onChange(formData) {
			var _getUiOptions2 = this.getUiOptions(),
			    _getUiOptions2$delimi = _getUiOptions2.delimiter,
			    delimiter = _getUiOptions2$delimi === undefined ? " " : _getUiOptions2$delimi;

			this.props.onChange(formData.filter(function (v) {
				return v;
			}).join(delimiter));
		}
	}], [{
		key: "getName",
		value: function getName() {
			return "StringToArrayField";
		}
	}]);
	return StringToArrayField;
}(_react.Component)) || _class;

StringToArrayField.propTypes = {
	schema: _propTypes2.default.shape({
		type: _propTypes2.default.oneOf(["array"])
	}).isRequired,
	formData: _propTypes2.default.array.isRequired
};
exports.default = StringToArrayField;