"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _extends2 = require("babel-runtime/helpers/extends");

var _extends3 = _interopRequireDefault(_extends2);

var _getPrototypeOf = require("babel-runtime/core-js/object/get-prototype-of");

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require("babel-runtime/helpers/classCallCheck");

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require("babel-runtime/helpers/createClass");

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require("babel-runtime/helpers/possibleConstructorReturn");

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require("babel-runtime/helpers/inherits");

var _inherits3 = _interopRequireDefault(_inherits2);

var _class;

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

var _propTypes = require("prop-types");

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactBootstrap = require("react-bootstrap");

var _DateWidget = require("./DateWidget");

var _DateWidget2 = _interopRequireDefault(_DateWidget);

var _TimeWidget = require("./TimeWidget");

var _TimeWidget2 = _interopRequireDefault(_TimeWidget);

var _BaseComponent = require("../BaseComponent");

var _BaseComponent2 = _interopRequireDefault(_BaseComponent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var SeparatedDateTimeWidget = (0, _BaseComponent2.default)(_class = function (_Component) {
	(0, _inherits3.default)(SeparatedDateTimeWidget, _Component);

	function SeparatedDateTimeWidget() {
		var _ref;

		var _temp, _this, _ret;

		(0, _classCallCheck3.default)(this, SeparatedDateTimeWidget);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = (0, _possibleConstructorReturn3.default)(this, (_ref = SeparatedDateTimeWidget.__proto__ || (0, _getPrototypeOf2.default)(SeparatedDateTimeWidget)).call.apply(_ref, [this].concat(args))), _this), _this.onDateChange = function (value) {
			_this.props.onChange(value ? _this.state.time ? value + _this.state.time : value : null);
		}, _this.onTimeChange = function (value) {
			_this.props.onChange(value ? _this.state.date + value : _this.state.date);
		}, _temp), (0, _possibleConstructorReturn3.default)(_this, _ret);
	}

	(0, _createClass3.default)(SeparatedDateTimeWidget, [{
		key: "getStateFromProps",
		value: function getStateFromProps(props) {
			var value = props.value;

			var date = void 0,
			    time = void 0;
			if (value) {
				var splitted = value.split("T");
				if (splitted.length == 2) {
					time = "T" + splitted[1];
				}
				date = splitted[0];
			}
			return { date: date, time: time };
		}
	}, {
		key: "render",
		value: function render() {
			var hasDate = !!this.state.date;
			return _react2.default.createElement(
				_reactBootstrap.Row,
				null,
				_react2.default.createElement(
					_reactBootstrap.Col,
					{ lg: hasDate ? 6 : 12 },
					_react2.default.createElement(
						_reactBootstrap.FormGroup,
						null,
						_react2.default.createElement(_DateWidget2.default, (0, _extends3.default)({}, this.props, { onChange: this.onDateChange, value: this.state.date }))
					)
				),
				hasDate ? _react2.default.createElement(
					_reactBootstrap.Col,
					{ lg: 6 },
					_react2.default.createElement(
						_reactBootstrap.FormGroup,
						null,
						_react2.default.createElement(_TimeWidget2.default, (0, _extends3.default)({}, this.props, { onChange: this.onTimeChange, value: this.state.time }))
					)
				) : null
			);
		}
	}]);
	return SeparatedDateTimeWidget;
}(_react.Component)) || _class;

SeparatedDateTimeWidget.propTypes = {
	schema: _propTypes2.default.shape({
		type: _propTypes2.default.oneOf(["string"])
	}).isRequired,
	value: _propTypes2.default.string
};
exports.default = SeparatedDateTimeWidget;